/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

.lea-drawer {
  height: 100%;
  min-height: 0;
  z-index: 8;
  position: relative;
  grid-column: 1 / 1;
  grid-row: 1 / 1;

  .ant-drawer {
    top: 0 !important;
    margin-top: 0 !important;
  }

  .ant-drawer.ant-drawer-open {
    height: 100% !important;
  }

  .ant-drawer-title {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
  }

  & .ant-drawer-body {
    padding: 0;
  }

  & .drawer-dragger {
    width: 1px;
    height: 100%;
    cursor: ew-resize;
    box-sizing: border-box;
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    z-index: 100;
    background: #bfcbf6;
  }
  & .drawer-dragger-left {
    right: 0;
    left: unset;
  }
  &.lea-drawer-selected {
    & .ant-drawer-content-wrapper {
      border: 2px solid #0032d9;
    }
  }
  .ant-drawer-left {
    .ant-drawer-content-wrapper {
      & .lea-ui-toc-tree {
        & .ant-tree {
          & .ant-tree-treenode {
            &.ant-tree-treenode-selected {
              &::after {
                position: absolute;
                content: '';
                height: calc(100% - 0px);
                width: calc(100% - 41px);
                top: 0px;
                left: 41px;
                background-color: #e5eafb;
                text-decoration: underline;
                border: 1px dotted black;
              }
              & * {
                text-decoration: underline;
              }
            }
            &:hover {
              text-decoration: underline;
            }
          }
        }
      }
    }
  }
}
